drop table if exists version;
create table version (
	value integer
	);
	
insert into version (value) values (3);

drop table if exists roots;
create table roots (
    rootid integer primary key,
    groupid integer references groups(groupid),
    len real,
    label text,
    xpoints blob,
    ypoints blob
    );
    
drop table if exists groups;
create table groups (
	groupid integer primary key,
	imageid integer references images(imageid),
	regionid integer,
    startx integer,
    starty integer,
    endx integer,
    endy integer,
    label text
    );
    
drop table if exists images;
create table images (
    imageid integer primary key,
    experimentid integer references experiments(experimentid),
    dirname text,
    filename text,
    scale real,
    date integer
    );

drop table if exists experiments;
create table experiments (
	experimentid integer primary key,
	label text
	);
	
create index xrootid on roots(rootid);
